Name:		fio
Version:	1.57
Release:	1
Summary:	Multithreaded IO generation tool
Group:		Applications/System
License:	GPLv2
URL:		http://git.kernel.dk/?p=fio.git;a=summary
Source0:	http://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	AIX-rpm >= 5.3.0.0, make, gcc >= 4.2.3-2, coreutils
Requires:	AIX-rpm >= 5.3.0.0

%description
fio is an I/O tool that will spawn a number of threads or processes doing
a particular type of io action as specified by the user.  fio takes a
number of global parameters, each inherited by the thread unless
otherwise parameters given to them overriding that setting is given.
The typical use of fio is to write a job file matching the io load
one wants to simulate.


%prep
%setup -q


%build
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH
gmake install prefix=%{_prefix} mandir=%{_mandir} DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
echo ""
echo "Please note that POSIX aio may not be enabled by default on AIX."
echo "If you get messages like:"
echo ""
echo "    Symbol resolution failed for /usr/lib/libc.a(posix_aio.o) because:"
echo "        Symbol _posix_kaio_rdwr (number 2) is not exported from dependent module /unix."
echo ""
echo "you need to enable POSIX aio. Run the following commands as root:"
echo ""
echo "    # lsdev -C -l posix_aio0"
echo "        posix_aio0 Defined  Posix Asynchronous I/O"
echo "    # cfgmgr -l posix_aio0"
echo "    # lsdev -C -l posix_aio0"
echo "        posix_aio0 Available  Posix Asynchronous I/O"
echo ""
echo "POSIX aio should work now. To make the change permanent:"
echo ""
echo "    # chdev -l posix_aio0 -P -a autoconfig='available'"
echo "        posix_aio0 changed"
echo ""


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README REPORTING-BUGS COPYING HOWTO examples
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Aug 02 2011 Michael Perzl <michael@perzl.org> - 1.57-1
- updated to version 1.57

* Wed Jul 13 2011 Michael Perzl <michael@perzl.org> - 1.56-1
- updated to version 1.56

* Mon May 30 2011 Michael Perzl <michael@perzl.org> - 1.55-1
- updated to version 1.55

* Fri May 13 2011 Michael Perzl <michael@perzl.org> - 1.54-1
- updated to version 1.54

* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 1.53-1
- updated to version 1.53

* Fri Apr 29 2011 Michael Perzl <michael@perzl.org> - 1.52-1
- updated to version 1.52

* Wed Jan 26 2011 Michael Perzl <michael@perzl.org> - 1.50-1
- updated to version 1.50

* Tue Dec 21 2010 Michael Perzl <michael@perzl.org> - 1.44.3-1
- updated to version 1.44.3

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.44.2-1
- updated to version 1.44.2

* Fri Nov 05 2010 Michael Perzl <michael@perzl.org> - 1.44.1-1
- first version for AIX V5.3 and higher
